using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Media.Effects;

namespace Txgy.EWS.Client.Common.Converters
{
    public class SourceCharaInt2StringConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int iv = int.Parse(value.ToString());
            string result = "未识别";
            switch (iv)
            {
                case 0:
                    result = "走滑";
                    break;
                case 1:
                    result = "倾滑";
                    break;
                case 2:
                    result = "张性";
                    break;
                
            }  
            return result;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
